{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "DATE_EXP"; 
            externalType = VARCHAR2; 
            name = dateExp; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "DATE_TRANS"; 
            externalType = DATE; 
            name = dateTrans; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "IBS_CMD"; 
            externalType = VARCHAR2; 
            name = ibsCmd; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "IBS_PORTEUR"; 
            externalType = VARCHAR2; 
            name = ibsPorteur; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IBS_TOTAL"; 
            externalType = NUMBER; 
            name = ibsTotal; 
            precision = 7; 
            scale = 2; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = "ID_APPLI"; 
            externalType = VARCHAR2; 
            name = idAppli; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            columnName = "ID_PAYBOX"; 
            externalType = NUMBER; 
            name = idPaybox; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_SESSION"; 
            externalType = VARCHAR2; 
            name = idSession; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            columnName = "NB_REFUS"; 
            externalType = NUMBER; 
            name = nbRefus; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NB_TENTATIVES"; 
            externalType = NUMBER; 
            name = nbTentatives; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NUM_AUTO"; 
            externalType = VARCHAR2; 
            name = numAuto; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NUM_CARTE"; 
            externalType = VARCHAR2; 
            name = numCarte; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NUM_TRANS"; 
            externalType = VARCHAR2; 
            name = numTrans; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = TICKET; 
            externalType = VARCHAR2; 
            name = ticket; 
            valueClassName = NSString; 
            width = 2000; 
        }
    ); 
    attributesUsedForLocking = (
        ibsCmd, 
        ibsPorteur, 
        ibsTotal, 
        idAppli, 
        idPaybox, 
        numAuto, 
        numCarte, 
        numTrans, 
        nbRefus, 
        idSession, 
        nbTentatives, 
        ticket
    ); 
    className = EOGenericRecord; 
    classProperties = (
        dateExp, 
        dateTrans, 
        ibsCmd, 
        ibsPorteur, 
        ibsTotal, 
        idAppli, 
        numAuto, 
        numCarte, 
        numTrans, 
        nbRefus, 
        idSession, 
        nbTentatives, 
        ticket, 
        facturePapier
    ); 
    externalName = "GRHUM.PAYBOX"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dateExp, 
            dateTrans, 
            ibsCmd, 
            ibsPorteur, 
            ibsTotal, 
            idAppli, 
            numAuto, 
            numCarte, 
            numTrans, 
            nbRefus, 
            idSession, 
            nbTentatives, 
            facturePapier
        ); 
        "_nameInObjectStore" = PAYBOX; 
    }; 
    isReadOnly = Y; 
    name = Paybox; 
    primaryKeyAttributes = (idPaybox); 
    relationships = (
        {
            destination = FacturePapier; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = fapReferenceReglement; sourceAttribute = ibsCmd; }); 
            name = facturePapier; 
        }
    ); 
}
